document.getElementById('startBtn')?.addEventListener('click', () => {
	// console.log('Start WebSocket button clicked');
	const portElement = document.getElementById('port') as HTMLInputElement;
	const port = parseInt(portElement.value, 10);
	window.electron.startWebSocket(port);
});

document.getElementById('stopBtn')?.addEventListener('click', () => {
	// console.log('Stop WebSocket button clicked');
	window.electron.stopWebSocket();
});

document.getElementById('devToolsBtn')?.addEventListener('click', () => {
	// console.log('Open DevTools button clicked');
	window.electron.openDevTools();
});

window.electron.onWebSocketStatus((message: string) => {
	console.log(`WebSocket status: ${message}`);
	const statusElement = document.getElementById('status');
	if (statusElement) {
		statusElement.innerText = `Status: ${message}`;
	}
});


// document.getElementById('startBtn')?.addEventListener('click', () => {
// 	// console.log('Start WebSocket button clicked');
// 	const portElement = document.getElementById('port') as HTMLInputElement;
// 	const port = parseInt(portElement.value, 10);
// 	ipcRenderer.send('start-websocket', port);
// });

// document.getElementById('stopBtn')?.addEventListener('click', () => {
// 	// console.log('Stop WebSocket button clicked');
// 	ipcRenderer.send('stop-websocket');
// });

// document.getElementById('devToolsBtn')?.addEventListener('click', () => {
// 	// console.log('Open DevTools button clicked');
// 	ipcRenderer.send('open-devtools');
// });

// function onWebSocketStatus(callback: (message: string) => void) {
// 	ipcRenderer.on('websocket-status', (event, message) => callback(message));
// }

// // 監聽 WebSocket 狀態
// onWebSocketStatus((message) => {
// 	console.log('WebSocket status:', message);
// });